Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DirectBoundingBox Class Reference

## Public Member Functions
| __init__ (self, nodePath, bboxColor=None)
| __repr__ (self)
| computeBounds (self)
| computeTightBounds (self)
| createBBoxLines (self, bboxColor=None)
| getBounds (self)
| getCenter (self)
| getMax (self)
| getMin (self)
| getRadius (self)
| hide (self)
| recompute (self)
| setBoxColorScale (self, r, g, b, a)
| show (self)
| updateBBoxLines (self)
| vecAsString (self, vec)

## Public Attributes
| bounds = self.getBounds()
| center = Point3((self.min + self.max)/2.0)
| lines = self.createBBoxLines(bboxColor)
| max = Point3(0)
| min = Point3(0)
| nodePath = nodePath
float | radius = Vec3(self.max - self.min).length()

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | nodePath,
|  |  | bboxColor = None )

## Member Function Documentation

## ◆ __repr__()

__repr__ | ( |  | self | ) |

## ◆ computeBounds()

computeBounds | ( |  | self | ) |

## ◆ computeTightBounds()

computeTightBounds | ( |  | self | ) |

## ◆ createBBoxLines()

createBBoxLines | ( |  | self,
|  |  | bboxColor = None )

## ◆ getBounds()

getBounds | ( |  | self | ) |

## ◆ getCenter()

getCenter | ( |  | self | ) |

## ◆ getMax()

getMax | ( |  | self | ) |

## ◆ getMin()

getMin | ( |  | self | ) |

## ◆ getRadius()

getRadius | ( |  | self | ) |

## ◆ hide()

hide | ( |  | self | ) |

## ◆ recompute()

recompute | ( |  | self | ) |

## ◆ setBoxColorScale()

setBoxColorScale | ( |  | self,
|  |  | r,
|  |  | g,
|  |  | b,
|  |  | a )

## ◆ show()

show | ( |  | self | ) |

## ◆ updateBBoxLines()

updateBBoxLines | ( |  | self | ) |

## ◆ vecAsString()

vecAsString | ( |  | self,
|  |  | vec )

## Member Data Documentation

## ◆ bounds

bounds = self.getBounds()

## ◆ center

center = Point3((self.min + self.max)/2.0)

## ◆ lines

lines = self.createBBoxLines(bboxColor)

## ◆ max

max = Point3(0)

## ◆ min

min = Point3(0)

## ◆ nodePath

nodePath = nodePath

## ◆ radius

float radius = Vec3(self.max - self.min).length()